Bug 1323591 - CVE-2016-3947 CVE-2016-3948 squid: 3.5.16 version [fedora-all]
Summary: CVE-2016-3947 CVE-2016-3948 squid: 3.5.16 version [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: squid
Version: 23
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Luboš Uhliarik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2016-3947 CVE-2016-3948
TreeView+ depends on / blocked
 
Reported: 2016-04-04 07:43 UTC by Andrej Nemec
Modified: 2016-07-12 23:53 UTC (History)
5 users (show)

Fixed In Version: squid-3.5.19-2.fc24 squid-3.5.10-4.fc23
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-12 20:29:03 UTC
Type: ---


Attachments (Terms of Use)

Description Andrej Nemec 2016-04-04 07:43:24 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Andrej Nemec 2016-04-04 07:43:31 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1323590,1323591

# Description of your update
notes=Security fix for CVE-2016-3947

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Luboš Uhliarik 2016-04-05 12:23:32 UTC
In RAWHIDE, updated to 3.5.16 which is not affected.

Comment 3 Fedora Update System 2016-04-05 19:29:42 UTC
squid-3.5.10-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dffdc981ff

Comment 4 Fedora Update System 2016-04-05 19:29:58 UTC
squid-3.5.10-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d19ed2f80d

Comment 5 Fedora Update System 2016-04-05 19:30:04 UTC
squid-3.5.16-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c3387a7dad

Comment 6 Fedora Update System 2016-04-06 17:53:37 UTC
squid-3.5.16-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c3387a7dad

Comment 7 Fedora Update System 2016-04-06 18:21:11 UTC
squid-3.5.10-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dffdc981ff

Comment 8 Fedora Update System 2016-04-07 16:49:56 UTC
squid-3.5.10-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d19ed2f80d

Comment 9 Fedora Update System 2016-05-05 14:30:39 UTC
squid-3.5.10-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-655d81aa89

Comment 10 Fedora Update System 2016-05-05 14:30:51 UTC
squid-3.5.10-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7edf033fd8

Comment 11 Fedora Update System 2016-05-05 14:31:08 UTC
squid-3.5.17-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-60156622e1

Comment 12 Fedora Update System 2016-05-06 11:27:04 UTC
squid-3.5.17-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-60156622e1

Comment 13 Fedora Update System 2016-05-06 20:51:58 UTC
squid-3.5.10-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-655d81aa89

Comment 14 Fedora Update System 2016-05-06 20:55:44 UTC
squid-3.5.10-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7edf033fd8

Comment 15 Fedora Update System 2016-05-10 19:23:15 UTC
squid-3.5.10-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b3b9407940

Comment 16 Fedora Update System 2016-05-10 19:23:43 UTC
squid-3.5.10-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-73a5867050

Comment 17 Fedora Update System 2016-05-10 19:24:01 UTC
squid-3.5.19-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-58b01c5ffb

Comment 18 Fedora Update System 2016-05-12 09:25:20 UTC
squid-3.5.10-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-73a5867050

Comment 19 Fedora Update System 2016-05-12 09:34:52 UTC
squid-3.5.10-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b3b9407940

Comment 20 Fedora Update System 2016-05-12 09:42:12 UTC
squid-3.5.19-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-58b01c5ffb

Comment 21 Fedora Update System 2016-05-18 11:46:34 UTC
squid-3.5.19-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-95edf19d8a

Comment 22 Fedora Update System 2016-05-21 01:34:47 UTC
squid-3.5.19-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-95edf19d8a

Comment 23 Fedora Update System 2016-07-12 20:28:19 UTC
squid-3.5.19-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2016-07-12 23:53:01 UTC
squid-3.5.10-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.